libclass-unload-perl_0.08-1_all.deb


Advertisement

Description

libclass-unload-perl - Perl module to unload a class at runtime

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libclass-unload-perl
Package version: 0.08
Package release: 1
Package architecture: all
Package type: deb
Installed size: 47 B
Download size: 6.45 KB
Official Mirror: ftp.br.debian.org
Class::Unload is a Perl module that unloads the given class by clearing out its symbol table and removing it from %INC during runtime. The unloaded class may then be reloaded later on using 'require'.

Alternatives

    Download

    Source package: libclass-unload-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libclass-unload-perl deb package:
      # sudo apt-get install libclass-unload-perl

    Files

    • /usr/share/doc/libclass-unload-perl/changelog.Debian.gz
    • /usr/share/doc/libclass-unload-perl/changelog.gz
    • /usr/share/doc/libclass-unload-perl/copyright
    • /usr/share/man/man3/Class::Unload.3pm.gz
    • /usr/share/perl5/Class/Unload.pm

    Changelog

    2013-05-26 - gregor herrmann <gregoa@debian.org> libclass-unload-perl (0.08-1) unstable; urgency=low * New upstream release. * Update year of upstream copyright. * Drop pod.patch, applied upstream. * Add /me to Uploaders.

    2013-05-26 - gregor herrmann <gregoa@debian.org> libclass-unload-perl (0.07-2) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Alessandro Ghedini ] * Email change: Alessandro Ghedini -> ghedo@debian.org [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Don't run release tests during package build. Also closes: #709766 Nevertheless: * Add a patch to fix the POD error in Perl 5.18. * debian/copyright: switch formatting to Copyright-Format 1.0. * Set Standards-Version to 3.9.4 (no changes).

    2011-03-06 - Alessandro Ghedini <al3xbio@gmail.com> libclass-unload-perl (0.07-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release 0.06 [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Alessandro Ghedini ] * New upstream release * Switch to 3.0 (quilt) * Bump debhelper to 8 * Fix upstream copyright - Remove copyright for Module::Install (replaced by Dist::Zilla) - Add upstream copyright year * Update debian/copyright to latest DEP5 revision - Replace 'Debian GNU/Linux' with just 'Debian' - Fix copyright-refers-to-symlink-license lintian * Use proper short-from dh * Add myself to Uploaders * Make (short) description a little more verbose * Bump Standards-Version (no changes needed) * Run release candidate tests * Add B-D-i on libpod-coverage-trustpod-perl

    2008-12-01 - Damyan Ivanov <dmn@debian.org> libclass-unload-perl (0.05-1) unstable; urgency=low * Initial Release. (Closes: #507480)

    Advertisement
    Advertisement